diff --git a/web/pgadmin/tools/datagrid/__init__.py b/web/pgadmin/tools/datagrid/__init__.py
index 04e2a68..a25a445 100644
--- a/web/pgadmin/tools/datagrid/__init__.py
+++ b/web/pgadmin/tools/datagrid/__init__.py
@@ -332,8 +332,12 @@ def initialize_query_tool(sgid, sid, did=None):
                                   use_binary_placeholder=True,
                                   array_to_string=True)
         if connect:
-            conn.connect()
+            status, msg = conn.connect()
+            if not status:
+                app.logger.error(msg)
+                return internal_server_error(errormsg=str(msg))
     except (ConnectionLost, SSHTunnelConnectionLost) as e:
+        app.logger.error(e)
         raise
     except Exception as e:
         app.logger.error(e)
diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index 087c743..9d8a256 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -307,7 +307,7 @@ def start_query_tool(trans_id):
 
     connect = 'connect' in request.args and request.args['connect'] == '1'
 
-    return StartRunningQuery(blueprint, current_app).execute(
+    return StartRunningQuery(blueprint, current_app.logger).execute(
         sql, trans_id, session, connect
     )
 
